Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messages
Class TextMessageImpl

    java.lang.Object
      net.sf.dropboxmq.messages.MessageImpl
          net.sf.dropboxmq.messages.TextMessageImpl

All Implemented Interfaces:
  Message, TextMessage

    public class TextMessageImpl

extends MessageImpl
implements TextMessage

Created: 09 Oct 2005

Version:
  $Revision: 231 $, $Date: 2011-08-12 21:50:47 -0600 (Fri, 12 Aug 2011) $
Author:
  Dwayne Schultz

Field Summary

Fields inherited from interface javax.jms.Message
`DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

Constructor Summary
`TextMessageImpl(SessionImpl session)`
`TextMessageImpl(TextMessage foreignMessage, SessionImpl session)`

Method Summary
`void` | `clearBody()` Clears out the message body.
`String` | `getText()` Gets the string containing this message's data.
`void` | `read(File newMessageFile, FileSystem fileSystem)`
`void` | `setText(String text)` Sets the string containing this message's data.
`String` | `toString()`
`void` | `write(File newMessageFile, FileSystem fileSystem)`

Methods inherited from class net.sf.dropboxmq.messages.MessageImpl
`acknowledge, checkWrite, clearProperties, convertForeignMessage, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getReadMessageFile, getSequence, getSession, getShortProperty, getStringProperty, isBodyReadOnly, isExpired, isReceived, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setReceived, setSequence, setSession, setShortProperty, setStringProperty, toObjectString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.Message
`acknowledge, clearProperties, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

Constructor Detail

### TextMessageImpl

    public TextMessageImpl(SessionImpl session)

### TextMessageImpl

    TextMessageImpl(TextMessage foreignMessage,
                    SessionImpl session)
              throws JMSException

Throws:
  `JMSException`

Method Detail

### read

    public void read(File newMessageFile,
                     FileSystem fileSystem)
              throws JMSException,
                     IOException,
                     FileSystem.FileSystemException

  Overrides:
    `read` in class `MessageImpl`
  Throws:
    `JMSException`
    `IOException`
    `FileSystem.FileSystemException`

### write

    public void write(File newMessageFile,
                      FileSystem fileSystem)
               throws IOException,
                      JMSException,
                      FileSystem.FileSystemException

  Overrides:
    `write` in class `MessageImpl`
  Throws:
    `IOException`
    `JMSException`
    `FileSystem.FileSystemException`

### setText

    public void setText(String text)
                 throws JMSException

  Description copied from interface: `javax.jms.TextMessage`
  Sets the string containing this message's data.

  Specified by:
    `setText` in interface `TextMessage`
  Parameters:
    `text` - the `String` containing the message's data
  Throws:
    `JMSException` - if the JMS provider fails to set the text due to some internal error.
    `MessageNotWriteableException` - if the message is in read-only mode.

### getText

    public String getText()
                   throws JMSException

  Description copied from interface: `javax.jms.TextMessage`
  Gets the string containing this message's data. The default value is null.

  Specified by:
    `getText` in interface `TextMessage`
  Returns:
    the `String` containing the message's data
  Throws:
    `JMSException` - if the JMS provider fails to get the text due to some internal error.

### clearBody

    public void clearBody()
                   throws JMSException

  Description copied from interface: `javax.jms.Message`
  Clears out the message body. Clearing a message's body does not clear its header values or property entries.

  If this message body was read-only, calling this method leaves the message body in the same state as an empty body in a newly created message.

  Specified by:
    `clearBody` in interface `Message`
  Overrides:
    `clearBody` in class `MessageImpl`
  Throws:
    `JMSException` - if the JMS provider fails to clear the message body due to some internal error.

### toString

    public String toString()

  Overrides:
    `toString` in class `MessageImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD